## ALIASES ###################################################################

#set-alias list       format-list 
#set-alias table      format-table 

## Confirmation is enabled by default, uncommenting next line will disable it 
# $ConfirmPreference = "None"
if (test-path "HKLM:\SOFTWARE\Imanami\GroupID\Version 10.0")
 {
     $global:groupidhome = (get-itemproperty "HKLM:\SOFTWARE\Imanami\GroupID\Version 10.0").Path
 }
 [System.IO.Directory]::SetCurrentDirectory($global:groupidhome)
 [Reflection.assembly]::LoadFile($global:groupidhome + 'Nest.dll') 

$global:irusinterval = 10
$global:GlobalCommandletInvoker = [Imanami.Groups.Management.Client.CommandletInvoker]::Instance
##$global:GroupIDSnapInEnvironment = [Imanami.Groups.Management.PowerShell.SmartDLSnapInEnvironment]::Instance
## Reset the Default Domain
##$global:GroupIDSnapInEnvironment.ViewEntireForest = $false

function prompt 
{ 
	$cwd = (get-location).Path
	$scope = "View Entire Forest"
	if (!$GroupIDSnapInEnvironment.ViewEntireForest)
	{
		$scope = $GroupIDSnapInEnvironment.DefaultScope
	}
	$host.UI.RawUI.WindowTitle = "Imanami GroupID Management Shell {Machine: " + $(hostname) + " | Scope: " + $scope + "}"
	$host.UI.Write("Yellow", $host.UI.RawUI.BackGroundColor, "[PS GID]")
	" $cwd>" 
}

Get-Group -Identity "China" | Set-Group -ExpirationPolicy "0" -ExtendGroupLife
